Payment batches & settlement

Tx Ops Execute Ready Routes

Name and signature indicate it changes tx ops execute ready routes

POSThttps://api.toku.com/stablecoin-payroll/tx-ops-execute-ready-routes

Not available to API keys yet. It will need payments:write.

curl --request POST \
  --url 'https://api.toku.com/stablecoin-payroll/tx-ops-execute-ready-routes' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "batchID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "groupKeys": [
    "string"
  ],
  "payBeforeRelease": true
}'
200 response
{
  "started": [
    {
      "groupKey": "string",
      "attemptID": "string",
      "attemptNumber": 0,
      "provider": "string",
      "status": "string",
      "transactionCount": 0,
      "transactions": [
        {
          "transactionID": "string",
          "status": "string",
          "providerTransactionID": "string",
          "errorCode": "string",
          "errorMessage": "string",
          "errorStage": "string",
          "isRetryable": true
        }
      ]
    }
  ],
  "skipped": [
    {
      "groupKey": "string",
      "reasons": [
        "string"
      ]
    }
  ],
  "failedToStart": [
    {
      "groupKey": "string",
      "errorCode": "string",
      "errorMessage": "string"
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

batchIDstring<uuid>required
groupKeysstring[]required

Allowed: 1 to 650 items

payBeforeReleaseboolean

Response

200Successful response
startedobject[]required
Show child attributes
groupKeystringrequired
attemptIDstringrequired
attemptNumberintegerrequired
providerstringrequired
statusstringrequired
transactionCountintegerrequired
transactionsobject[]required
Show child attributes
transactionIDstringrequired
statusstringrequired
providerTransactionIDstring | nullrequired
errorCodestring | nullrequired
errorMessagestring | nullrequired
errorStagestring | nullrequired
isRetryablebooleanrequired
skippedobject[]required
Show child attributes
groupKeystringrequired
reasonsstring[]required
failedToStartobject[]required
Show child attributes
groupKeystringrequired
errorCodestringrequired
errorMessagestringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits